#!/bin/bash
environment=$1
version=$2
echo "环境变量为${environment},版本为$version!"
if [[ ${environment} == 'production' ]]; then
	echo "开始远程构建容器"
	docker stop telpo_push_position || true
	docker rm telpo_push_position || true
	docker rmi -f $(docker images | grep registry.cn-shanghai.aliyuncs.com/gps_card/telpo_push_position | awk '{print $3}')
	docker login --username=rzl_wangjx@1111649216405698 --password=telpo.123 registry.cn-shanghai.aliyuncs.com
	docker pull registry.cn-shanghai.aliyuncs.com/gps_card/telpo_push_position:$version
	docker run -d --network=host -e environment=production -v /home/data/telpo_push_position/log:/var/telpo_pushposition/logs --restart=always --name telpo_push_position registry.cn-shanghai.aliyuncs.com/gps_card/telpo_push_position:$version;
	#删除产生的None镜像
	docker rmi -f $(docker images | grep none | awk '{print $3}')
	docker ps -a

elif [[ ${environment} == 'test' ]]; then
	echo "开始在测试环境远程构建容器"
	docker stop telpo_push_position || true
	docker rm telpo_push_position || true
	docker rmi -f $(docker images | grep 139.224.254.18:5000/telpo_push_position | awk '{print $3}')
	docker pull 139.224.254.18:5000/telpo_push_position:$version
	docker run -d --network=host -e environment=${environment} -v /home/data/telpo_push_position/log:/var/telpo_pushposition/logs --restart=always --name telpo_push_position 139.224.254.18:5000/telpo_push_position:$version;
	#删除产生的None镜像
	docker rmi -f $(docker images | grep none | awk '{print $3}')
	docker ps -a
fi